Add to Basket Compare Quick view Cisco Cisco Industrial Ethernet 2000 Series LAN Lite Switch 6 Ports MSRP: £1,296.53 Now: £1,080.44 Inc. VAT Was: MSRP: £1,080.44 Now: £900.37 Ex. VAT Was: MSRP: £1,296.53 Now: £1,080.44 Inc. VAT Was: MSRP: £1,080.44 Now: £900.37 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Industrial Ethernet 2000 Series - Switch - 6 Ports - Managed MSRP: £1,296.53 Now: £1,080.44 Inc. VAT Was: MSRP: £1,080.44 Now: £900.37 Ex. VAT Was: MSRP: £1,296.53 Now: £1,080.44 Inc. VAT Was: MSRP: £1,080.44 Now: £900.37 Ex. VAT Was: Add to Basket Compare Quick view
Compare Quick view Cisco Cisco 2960-CX Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) White MSRP: £1,715.35 Now: £1,429.46 Inc. VAT Was: MSRP: £1,429.46 Now: £1,191.22 Ex. VAT Was: Management featuresSwitch typeManagedWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesSwitch layerL2Ports & interfacesSFP module slots quantity2Basic switching RJ-45... MSRP: £1,715.35 Now: £1,429.46 Inc. VAT Was: MSRP: £1,429.46 Now: £1,191.22 Ex. VAT Was: Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-4840WS Managed network switch Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network switch MSRP: £2,238.91 Now: £1,865.76 Inc. VAT Was: MSRP: £1,865.76 Now: £1,554.80 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportMIB, MIB II MSRP: £2,238.91 Now: £1,865.76 Inc. VAT Was: MSRP: £1,865.76 Now: £1,554.80 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-5028WS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network MSRP: £537.38 Now: £447.82 Inc. VAT Was: MSRP: £447.82 Now: £373.18 Ex. VAT Was: Management featuresSwitch typeManagedWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportIP FORWARD TABLE MIB RFC 1354, RMON MIB RFC 1271, IPV4 MIB RFC 1213, IP MSRP: £537.38 Now: £447.82 Inc. VAT Was: MSRP: £447.82 Now: £373.18 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B093-004-2E4U console server MSRP: £917.77 Now: £764.81 Inc. VAT Was: MSRP: £764.81 Now: £637.34 Ex. VAT Was: Access All Your Serial and Network Devices from Anywhere in the WorldThe B093-004-2E4U serial console server provides secure in-band (primary network) and out-of-band (alternate channel) remote... MSRP: £917.77 Now: £764.81 Inc. VAT Was: MSRP: £764.81 Now: £637.34 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Linksys Linksys LGS552 Managed network switch L2/L3 Gigabit Ethernet (10/100/1000) 1U Black network switch MSRP: £2,110.66 Now: £1,758.88 Inc. VAT Was: MSRP: £1,758.88 Now: £1,465.73 Ex. VAT Was: Management features Switch type Managed network switch Web-based management Yes System event log Yes Quality of Service (QoS) support Yes Multicast support Yes Switch MSRP: £2,110.66 Now: £1,758.88 Inc. VAT Was: MSRP: £1,758.88 Now: £1,465.73 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TP-Link TP-LINK T1600G-52PS Managed network switch L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (Po MSRP: £2,062.12 Now: £1,718.42 Inc. VAT Was: MSRP: £1,718.43 Now: £1,432.02 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesSwitch layerL2+Port MSRP: £2,062.12 Now: £1,718.42 Inc. VAT Was: MSRP: £1,718.43 Now: £1,432.02 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco IE-1000-4T1T-LM Managed network switch Fast Ethernet (10/100) Black network switch MSRP: £949.22 Now: £791.02 Inc. VAT Was: MSRP: £791.02 Now: £659.18 Ex. VAT Was: MSRP: £949.22 Now: £791.02 Inc. VAT Was: MSRP: £791.02 Now: £659.18 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HPE Hewlett Packard Enterprise 1820-48G-PoE+ (370W) Managed network switch L2 Gigabit Ethernet (10/100/10 MSRP: £1,849.46 Now: £1,541.22 Inc. VAT Was: MSRP: £1,541.22 Now: £1,284.35 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesQuality of Service (QoS) supportYesSwitch layerL2Ports & interfacesSFP module slots MSRP: £1,849.46 Now: £1,541.22 Inc. VAT Was: MSRP: £1,541.22 Now: £1,284.35 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-T160 Unmanaged network switch Power over Ethernet (PoE) Black network switch MSRP: £1,806.42 Now: £1,505.35 Inc. VAT Was: MSRP: £1,505.35 Now: £1,254.46 Ex. VAT Was: Management featuresSwitch typeUnmanaged network switchPorts & interfacesBasic switching RJ-45 Ethernet ports quantity16NetworkingNetworking standardsIEEE 8 MSRP: £1,806.42 Now: £1,505.35 Inc. VAT Was: MSRP: £1,505.35 Now: £1,254.46 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HPE Hewlett Packard Enterprise 2530-8-PoE+ Managed network switch L2 Fast Ethernet (10/100) Power over Et MSRP: £1,677.40 Now: £1,397.83 Inc. VAT Was: MSRP: £1,397.83 Now: £1,164.86 Ex. VAT Was: Management featuresSwitch typeManaged network switchSwitch layerL2Ports & interfacesBasic switching RJ-45 Ethernet ports quantity8Basic switching RJ-45 Ethernet ports typeFast MSRP: £1,677.40 Now: £1,397.83 Inc. VAT Was: MSRP: £1,397.83 Now: £1,164.86 Ex. VAT Was: Add to Basket Compare Quick view